## org.jvnet.maven.plugin.antrun
Class UnJarTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Expand
                  org.jvnet.maven.plugin.antrun.UnJarTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class UnJarTask

extends org.apache.tools.ant.taskdefs.Expand

Extends the unjar task to be able to specify dynamic destination directory. For example:

     produces:

          [unjar] Expanding: /tmp/src/a.jar into /tmp/a_jar
          [unjar] Expanding: /tmp/src/b.jar into /tmp/b_jar
          [unjar] Expanding: /tmp/src/c.jar into /tmp/c_jar
          [unjar] Expanding: /tmp/src/d.jar into /tmp/d_jar

Author:
  bhavanishankar@dev.java.net

Field Summary

Fields inherited from class org.apache.tools.ant.taskdefs.Expand
`ERROR_MULTIPLE_MAPPERS, NATIVE_ENCODING`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`UnJarTask()`

Method Summary
`protected void` `expandFile(org.apache.tools.ant.util.FileUtils fileUtils, java.io.File srcF, java.io.File dir)`

Methods inherited from class org.apache.tools.ant.taskdefs.Expand
`add, add, addFileset, addPatternset, createMapper, execute, expandResource, extractFile, getEncoding, getFailOnEmptyArchive, getMapper, getScanForUnicodeExtraFields, internalSetEncoding, internalSetScanForUnicodeExtraFields, setDest, setEncoding, setFailOnEmptyArchive, setOverwrite, setScanForUnicodeExtraFields, setSrc, setStripAbsolutePathSpec`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnJarTask

    public UnJarTask()

Method Detail

### expandFile

    protected void expandFile(org.apache.tools.ant.util.FileUtils fileUtils,
                              java.io.File srcF,
                              java.io.File dir)

  Overrides:
    `expandFile` in class `org.apache.tools.ant.taskdefs.Expand`

Copyright © 2011. All Rights Reserved.